Summary:        Config file reading, writing, and validation
Name:           python-configobj
Version:        5.0.6
Release:        5%{?dist}
License:        BSD
URL:            http://configobj.readthedocs.org/
Source0:        https://github.com/DiffSK/configobj/archive/v%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  python3-devel  python3-setuptools
BuildRequires:  python3-six  python3-pytest

%description
ConfigObj is a simple but powerful configuration file reader and writer: an ini\
file round tripper. Its main feature is that it is very easy to use, with a\
straightforward programmers interface and a simple syntax for config files. 

%package     -n python3-configobj
Summary:        Config file reading, writing, and validation
Provides:       python3-configobj
Requires:       python3-six

%description -n python3-configobj 
ConfigObj is a simple but powerful configuration file reader and writer: an ini\
file round tripper. Its main feature is that it is very easy to use, with a\
straightforward programmers interface and a simple syntax for config files.

%prep
%autosetup -n configobj-%{version}

%build
%py3_build

%install
%py3_install

%check
export PYTHONWARNINGS=always
%{__python3} test_configobj.py
py.test-%{python3_version} tests

%files -n python3-configobj
%license LICENSE
%doc README.md
%{python3_sitelib}/_version.py
%{python3_sitelib}/configobj.py
%{python3_sitelib}/validate.py
%{python3_sitelib}/__pycache__/*
%{python3_sitelib}/configobj-%{version}-py%{python3_version}.egg-info

%changelog
* Tue Sep 19 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 5.0.6-5
- Rebuilt for python 3.11

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 5.0.6-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 5.0.6-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 5.0.6-2
- Rebuilt for OpenCloudOS Stream 23

* Thu Dec 1 2022 Feng Weiyao <wynnfeng@tencent.com> - 5.0.6-1
- package init.
